> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scans



## OpenAPI

````yaml /api-reference/openapi.json get /api/scans
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/scans:
    get:
      tags:
        - api
      summary: List Scans
      operationId: list_scans_api_scans_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: dataset_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter scans to a specific dataset public id.
            title: Dataset Id
          description: Filter scans to a specific dataset public id.
        - name: include_issue_counts
          in: query
          required: false
          schema:
            type: boolean
            description: Include per-scan issue severity breakdowns. Disabling is faster.
            default: true
            title: Include Issue Counts
          description: Include per-scan issue severity breakdowns. Disabling is faster.
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ScanListItem'
                title: Response List Scans Api Scans Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScanListItem:
      properties:
        id:
          type: string
          title: Id
        scan_type:
          type: string
          title: Scan Type
        dataset_dir:
          type: string
          title: Dataset Dir
        dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Id
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        params:
          type: object
          title: Params
        engine_params:
          anyOf:
            - type: object
            - type: 'null'
          title: Engine Params
        status:
          type: string
          title: Status
        progress:
          type: integer
          title: Progress
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        duration_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Seconds
        total_issues:
          type: integer
          title: Total Issues
          default: 0
        critical_count:
          type: integer
          title: Critical Count
          default: 0
        high_count:
          type: integer
          title: High Count
          default: 0
        medium_count:
          type: integer
          title: Medium Count
          default: 0
        low_count:
          type: integer
          title: Low Count
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - scan_type
        - dataset_dir
        - params
        - status
        - progress
        - message
        - created_at
        - updated_at
      title: ScanListItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````